Package jakarta.websocket

# Class ClientEndpointConfig.Builder

java.lang.Object
jakarta.websocket.ClientEndpointConfig.Builder

Enclosing interface:
  `ClientEndpointConfig`

public static final class ClientEndpointConfig.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`ClientEndpointConfig`
`build()`
`ClientEndpointConfig.Builder`
`configurator(ClientEndpointConfig.Configurator configurator)`
`static ClientEndpointConfig.Builder`
`create()`
`ClientEndpointConfig.Builder`
`decoders(List<Class<? extends Decoder>> decoders)`
`ClientEndpointConfig.Builder`
`encoders(List<Class<? extends Encoder>> encoders)`
`ClientEndpointConfig.Builder`
`extensions(List<Extension> extensions)`
`ClientEndpointConfig.Builder`
`preferredSubprotocols(List<String> preferredSubprotocols)`
`ClientEndpointConfig.Builder`
`sslContext(SSLContext sslContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static ClientEndpointConfig.Builder create()

### build

public ClientEndpointConfig build()

### configurator

public ClientEndpointConfig.Builder configurator(ClientEndpointConfig.Configurator configurator)

### preferredSubprotocols

public ClientEndpointConfig.Builder preferredSubprotocols(List<String> preferredSubprotocols)

### extensions

public ClientEndpointConfig.Builder extensions(List<Extension> extensions)

### encoders

public ClientEndpointConfig.Builder encoders(List<Class<? extends Encoder>> encoders)

### decoders

public ClientEndpointConfig.Builder decoders(List<Class<? extends Decoder>> decoders)

### sslContext

public ClientEndpointConfig.Builder sslContext(SSLContext sslContext)